<?php
defined('BASEPATH') OR exit('No direct script access allowed');

class Home extends CI_Controller {

	public function __construct() {
        parent::__construct();
        date_default_timezone_set('Asia/Dhaka');
        $this->load->model('main_model');
        $this->load->database();
        $this->load->library(array('session'));
        $this->load->helper(array('url', 'form', 'text', 'array'));
       
    }
	
	public function index()
	{
		$this->load->view('header');
		$this->load->view('logo_name');
		$this->load->view('main_menu');
		$this->load->view('body_mid_start');
		$this->load->view('body_notice');
		$this->load->view('body_content');
		$this->load->view('box-1');
		$this->load->view('box-2');
		$this->load->view('box-3');
		$this->load->view('box-4');
		$this->load->view('home_google_map');
		$this->load->view('left_president');
		$this->load->view('left_head_teacher');
		$this->load->view('left_important_links');
		$this->load->view('left_facebook');
		$this->load->view('body_mid_end');		
		$this->load->view('footer');
	}
	
	public function bongobondhu()
	{
		$this->load->view('header');
		$this->load->view('logo_name');
		$this->load->view('main_menu');
		$this->load->view('body_mid_start');
		$this->load->view('bongobondhu_notice');
		$this->load->view('bphoto');
		$this->load->view('bvideo');
		
		
		$this->load->view('left_president');
		$this->load->view('left_head_teacher');
		$this->load->view('left_important_links');
		$this->load->view('left_facebook');
		$this->load->view('body_mid_end');		
		$this->load->view('footer');
	}
	
	public function rpermission()
	{
		$this->load->view('header');
		$this->load->view('logo_name');
		$this->load->view('main_menu');
		$this->load->view('rpermission');
		$this->load->view('left_president');
		$this->load->view('left_head_teacher');
		$this->load->view('left_important_links');
		$this->load->view('left_facebook');
		$this->load->view('body_mid_end');		
		$this->load->view('footer');
	}
	
	public function cpermission()
	{
		$this->load->view('header');
		$this->load->view('logo_name');
		$this->load->view('main_menu');
		$this->load->view('cpermission');
		$this->load->view('left_president');
		$this->load->view('left_head_teacher');
		$this->load->view('left_important_links');
		$this->load->view('left_facebook');
		$this->load->view('body_mid_end');		
		$this->load->view('footer');
	}
	
	public function mpo()
	{
		$this->load->view('header');
		$this->load->view('logo_name');
		$this->load->view('main_menu');
		$this->load->view('mpo');
		$this->load->view('left_president');
		$this->load->view('left_head_teacher');
		$this->load->view('left_important_links');
		$this->load->view('left_facebook');
		$this->load->view('body_mid_end');		
		$this->load->view('footer');
	}
	public function contactus() {
	
		$this->load->view('header');
		$this->load->view('logo_name');
		$this->load->view('main_menu');
		$this->load->view('contact_us');
		$this->load->view('left_president');
		$this->load->view('left_head_teacher');
		$this->load->view('left_important_links');
		$this->load->view('left_facebook');
		$this->load->view('body_mid_end');		
		$this->load->view('footer');
	}
	public function noticedetails($param1 = '')
	{
		$this->load->view('header');
		$this->load->view('logo_name');
		$this->load->view('main_menu');
		$page_data = array(
            'id' => $param1
        );
		$this->load->view('noticedetails', $page_data);
		$this->load->view('left_president');
		$this->load->view('left_head_teacher');
		$this->load->view('left_important_links');
		$this->load->view('left_facebook');
		$this->load->view('body_mid_end');		
		$this->load->view('footer');
	}
	
	public function bnoticedetails($param1 = '')
	{
		$this->load->view('header');
		$this->load->view('logo_name');
		$this->load->view('main_menu');
		$page_data = array(
            'id' => $param1
        );
		$this->load->view('bnoticedetails', $page_data);
		$this->load->view('left_president');
		$this->load->view('left_head_teacher');
		$this->load->view('left_important_links');
		$this->load->view('left_facebook');
		$this->load->view('body_mid_end');		
		$this->load->view('footer');
	}
	
	public function all_notices() {
	
		$this->load->view('header');
		$this->load->view('logo_name');
		$this->load->view('main_menu');
		$this->load->view('all_notice');
			
		$this->load->view('footer');
	}
	public function all_bnotices() {
	
		$this->load->view('header');
		$this->load->view('logo_name');
		$this->load->view('main_menu');
		$this->load->view('all_bnotice');
			
		$this->load->view('footer');
	}
	public function aboutins()
	{
		$this->load->view('header');
		$this->load->view('logo_name');
		$this->load->view('main_menu');
		$this->load->view('about_institution');
		
		$this->load->view('left_president');
		$this->load->view('left_head_teacher');
		$this->load->view('left_important_links');
		$this->load->view('left_facebook');
		$this->load->view('body_mid_end');		
		$this->load->view('footer');
	}
	public function oemployee() {

		$this->load->view('header');
		$this->load->view('logo_name');
		$this->load->view('main_menu');
		$this->load->view('oemployee');
		$this->load->view('left_president');
		$this->load->view('left_head_teacher');
		$this->load->view('left_important_links');
		$this->load->view('left_facebook');
		$this->load->view('body_mid_end');		
		$this->load->view('footer');
	}
	public function teachers() {
	
		$this->load->view('header');
		$this->load->view('logo_name');
		$this->load->view('main_menu');
		$this->load->view('assistant_teacher');
		
		$this->load->view('left_president');
		$this->load->view('left_head_teacher');
		$this->load->view('left_important_links');
		$this->load->view('left_facebook');
		$this->load->view('body_mid_end');		
		$this->load->view('footer');
	}
	
	
	public function teacherdetails($param1 = '') {
	
		$this->load->view('header');
		$this->load->view('logo_name');
		$this->load->view('main_menu');
		$page_data = array(
            'tid' => $param1
        );
        $this->load->view('teachers_details', $page_data);
		$this->load->view('left_president');
		$this->load->view('left_head_teacher');
		$this->load->view('left_important_links');
		$this->load->view('left_facebook');
		$this->load->view('body_mid_end');		
		$this->load->view('footer');
	}
	public function history()
	{
		$this->load->view('header');
		$this->load->view('logo_name');
		$this->load->view('main_menu');
		$this->load->view('history');
		
		$this->load->view('left_president');
		$this->load->view('left_head_teacher');
		$this->load->view('left_important_links');
		$this->load->view('left_facebook');
		$this->load->view('body_mid_end');		
		$this->load->view('footer');
	}
	public function mission()
	{
		$this->load->view('header');
		$this->load->view('logo_name');
		$this->load->view('main_menu');
		$this->load->view('mission');
		
		$this->load->view('left_president');
		$this->load->view('left_head_teacher');
		$this->load->view('left_important_links');
		$this->load->view('left_facebook');
		$this->load->view('body_mid_end');		
		$this->load->view('footer');
	}
	public function pinfrastructure()
	{
		$this->load->view('header');
		$this->load->view('logo_name');
		$this->load->view('main_menu');
		$this->load->view('pinfrastructure');
		
		$this->load->view('left_president');
		$this->load->view('left_head_teacher');
		$this->load->view('left_important_links');
		$this->load->view('left_facebook');
		$this->load->view('body_mid_end');		
		$this->load->view('footer');
	}
	public function studentsearch()
	{
		$this->load->view('header');
		$this->load->view('logo_name');
		$this->load->view('main_menu');
		$this->load->view('studentsearch');
		
		$this->load->view('left_president');
		$this->load->view('left_head_teacher');
		$this->load->view('left_important_links');
		$this->load->view('left_facebook');
		$this->load->view('body_mid_end');		
		$this->load->view('footer');
	}
	public function studentsearchr() {
	
		$this->load->view('header');
		$this->load->view('logo_name');
		$this->load->view('main_menu');
		$page_data = array(
            'class_name' => $this->input->post('class_name'),
			'shift_name' => $this->input->post('shift_name'),
			'section_name' => $this->input->post('section_name'),
			'religion' => $this->input->post('religion'),
			'gender' => $this->input->post('gender'),
			'bg' => $this->input->post('bg')
        );
		$this->load->view('studentsearchr', $page_data);		
		$this->load->view('footer');
	}
	public function president()
	{
		$this->load->view('header');
		$this->load->view('logo_name');
		$this->load->view('main_menu');
		$this->load->view('president');
		
		$this->load->view('left_president');
		$this->load->view('left_head_teacher');
		$this->load->view('left_important_links');
		$this->load->view('left_facebook');
		$this->load->view('body_mid_end');		
		$this->load->view('footer');
	}
	public function uniform()
	{
		$this->load->view('header');
		$this->load->view('logo_name');
		$this->load->view('main_menu');
		$this->load->view('uniform');
		
		$this->load->view('left_president');
		$this->load->view('left_head_teacher');
		$this->load->view('left_important_links');
		$this->load->view('left_facebook');
		$this->load->view('body_mid_end');		
		$this->load->view('footer');
	}
	public function headteachers()
	{
		$this->load->view('header');
		$this->load->view('logo_name');
		$this->load->view('main_menu');
		$this->load->view('headteachers');
		
		$this->load->view('left_president');
		$this->load->view('left_head_teacher');
		$this->load->view('left_important_links');
		$this->load->view('left_facebook');
		$this->load->view('body_mid_end');		
		$this->load->view('footer');
	}
	public function annual_plan() {
	
		$this->load->view('header');
		$this->load->view('logo_name');
		$this->load->view('main_menu');
		$this->load->view('aplan');
			
		$this->load->view('footer');
	}
	public function aplandetails($param1 = '')
	{
		$this->load->view('header');
		$this->load->view('logo_name');
		$this->load->view('main_menu');
		$page_data = array(
            'id' => $param1
        );
		$this->load->view('aplandetails', $page_data);
		$this->load->view('left_president');
		$this->load->view('left_head_teacher');
		$this->load->view('left_important_links');
		$this->load->view('left_facebook');
		$this->load->view('body_mid_end');		
		$this->load->view('footer');
	}
	public function acalander() {
	
		$this->load->view('header');
		$this->load->view('logo_name');
		$this->load->view('main_menu');
		$this->load->view('acalander');
			
		$this->load->view('footer');
	}
	public function acalanderdetails($param1 = '')
	{
		$this->load->view('header');
		$this->load->view('logo_name');
		$this->load->view('main_menu');
		$page_data = array(
            'id' => $param1
        );
		$this->load->view('acalanderdetails', $page_data);
		$this->load->view('left_president');
		$this->load->view('left_head_teacher');
		$this->load->view('left_important_links');
		$this->load->view('left_facebook');
		$this->load->view('body_mid_end');		
		$this->load->view('footer');
	}
	public function photo()
	{
		$this->load->view('header');
		$this->load->view('logo_name');
		$this->load->view('main_menu');
		$this->load->view('photo');
		$this->load->view('left_president');
		$this->load->view('left_head_teacher');
		$this->load->view('left_important_links');
		$this->load->view('left_facebook');
		$this->load->view('body_mid_end');		
		$this->load->view('footer');
	}
	public function video()
	{
		$this->load->view('header');
		$this->load->view('logo_name');
		$this->load->view('main_menu');
		$this->load->view('video');
		$this->load->view('left_president');
		$this->load->view('left_head_teacher');
		$this->load->view('left_important_links');
		$this->load->view('left_facebook');
		$this->load->view('body_mid_end');		
		$this->load->view('footer');
	}
	public function complainbox()
	{
		$this->load->view('header');
		$this->load->view('logo_name');
		$this->load->view('main_menu');
		$this->load->view('complainbox');
		$this->load->view('left_president');
		$this->load->view('left_head_teacher');
		$this->load->view('left_important_links');
		$this->load->view('left_facebook');
		$this->load->view('body_mid_end');		
		$this->load->view('footer');
	}
	public function croutine() {
	
		$this->load->view('header');
		$this->load->view('logo_name');
		$this->load->view('main_menu');
		$this->load->view('croutine');
			
		$this->load->view('footer');
	}
	
	public function holiday() {
	
		$this->load->view('header');
		$this->load->view('logo_name');
		$this->load->view('main_menu');
		$this->load->view('institution_holiday');
			
		$this->load->view('footer');
	}
	
	public function aresult() {
	
		$this->load->view('header');
		$this->load->view('logo_name');
		$this->load->view('main_menu');
		$this->load->view('aresult_page');
		$this->load->view('footer');
	}
	public function aresultdetails($param1 = '')
	{
		$this->load->view('header');
		$this->load->view('logo_name');
		$this->load->view('main_menu');
		$page_data = array(
            'id' => $param1
        );
		$this->load->view('aresultdetails', $page_data);
		$this->load->view('left_president');
		$this->load->view('left_head_teacher');
		$this->load->view('left_important_links');
		$this->load->view('left_facebook');
		$this->load->view('body_mid_end');		
		$this->load->view('footer');
	}
	
	
	public function download() {
	
		$this->load->view('header');
		$this->load->view('logo_name');
		$this->load->view('main_menu');
		$this->load->view('download_page');
		$this->load->view('footer');
	}
	public function downloaddetails($param1 = '')
	{
		$this->load->view('header');
		$this->load->view('logo_name');
		$this->load->view('main_menu');
		$page_data = array(
            'id' => $param1
        );
		$this->load->view('downloaddetails', $page_data);
		$this->load->view('left_president');
		$this->load->view('left_head_teacher');
		$this->load->view('left_important_links');
		$this->load->view('left_facebook');
		$this->load->view('body_mid_end');		
		$this->load->view('footer');
	}
	public function croutinedetails($param1 = '')
	{
		$this->load->view('header');
		$this->load->view('logo_name');
		$this->load->view('main_menu');
		$page_data = array(
            'id' => $param1
        );
		$this->load->view('croutinedetails', $page_data);
		$this->load->view('left_president');
		$this->load->view('left_head_teacher');
		$this->load->view('left_important_links');
		$this->load->view('left_facebook');
		$this->load->view('body_mid_end');		
		$this->load->view('footer');
	}
	 public function headteacher($param1 = '') {
        $this->load->view('header2');
		$this->load->view('script');
		$this->load->view('logo_name');
		$this->load->view('main_menu');
		$this->load->view('left_principal_message');
		$this->load->view('banner');
		$this->load->view('body_left_start');
		$this->load->view('left_governing_body');
		$this->load->view('left_important_link');
		$this->load->view('left_digital_content');
		$this->load->view('left_digital_class');
		$this->load->view('body_left_end');
		$this->load->view('body_mid_start');
		$page_data = array(
            'home_id' => $param1
        );
        $this->load->view('headteacher', $page_data);
		$this->load->view('body_mid_end');
		$this->load->view('body_right_start');
		$this->load->view('right_notice_board');
		$this->load->view('right_find_us_fb');
		$this->load->view('left_eiin_number');
		$this->load->view('right_admin');
		$this->load->view('body_end');
		$this->load->view('footer');
    }
	
	public function governingbody()
	{
		$this->load->view('header');
		$this->load->view('logo_name');
		$this->load->view('main_menu');
		$this->load->view('governing_body');
			
		$this->load->view('footer');
	}
	public function headteachersx()
	{
		$this->load->view('header');
		$this->load->view('logo_name');
		$this->load->view('main_menu');
		$this->load->view('headteacher');
			
		$this->load->view('footer');
	}
	public function rulesregulation()
	{
		$this->load->view('header');
		$this->load->view('logo_name');
		$this->load->view('main_menu');
		$this->load->view('rules');
		
		$this->load->view('left_president');
		$this->load->view('left_head_teacher');
		$this->load->view('left_important_links');
		$this->load->view('left_facebook');
		$this->load->view('body_mid_end');		
		$this->load->view('footer');
	}
	public function fees()
	{
		$this->load->view('header');
		$this->load->view('logo_name');
		$this->load->view('main_menu');
		$this->load->view('fees');
		
		$this->load->view('left_president');
		$this->load->view('left_head_teacher');
		$this->load->view('left_important_links');
		$this->load->view('left_facebook');
		$this->load->view('body_mid_end');		
		$this->load->view('footer');
	}
	public function importantlink()
	{
		$this->load->view('header3');
		$this->load->view('script');
		$this->load->view('logo_name');
		$this->load->view('main_menu');
		$this->load->view('left_principal_message');
		$this->load->view('banner');
		$this->load->view('body_left_start');
		$this->load->view('right_notice_board');
		$this->load->view('body_left_end');
		$this->load->view('important_link');
		$this->load->view('body_end');
		$this->load->view('footer');
	}
	public function digitalcontent()
	{
		$this->load->view('header3');
		$this->load->view('script');
		$this->load->view('logo_name');
		$this->load->view('main_menu');
		$this->load->view('left_principal_message');
		$this->load->view('banner');
		$this->load->view('body_left_start');
		$this->load->view('right_notice_board');
		$this->load->view('body_left_end');
		$this->load->view('digital_content');
		$this->load->view('body_end');
		$this->load->view('footer');
	}
	
	public function noticeboard()
	{
		$this->load->view('header3');
		$this->load->view('script');
		$this->load->view('logo_name');
		$this->load->view('main_menu');
		$this->load->view('left_principal_message');
		$this->load->view('banner');
		$this->load->view('body_left_start');
		$this->load->view('left_governing_body');
		$this->load->view('left_important_link');
		$this->load->view('body_left_end');
		$this->load->view('notice_board');
		$this->load->view('body_end');
		$this->load->view('footer');
	}
	
	
	
	public function aboutus($param1 = '') 
	{
		$this->load->view('header');
		$this->load->view('logo_name');
		$this->load->view('main_menu');
		$page_data = array(
            'home_id' => $param1
        );
		$this->load->view('about_us_page', $page_data);
		
		$this->load->view('left_president');
		$this->load->view('left_head_teacher');
		$this->load->view('left_important_links');
		$this->load->view('left_facebook');
		$this->load->view('body_mid_end');		
		$this->load->view('footer');
	}
	
	public function admissioninfo($param1 = '') 
	{
		$this->load->view('header');
		$this->load->view('logo_name');
		$this->load->view('main_menu');
		$page_data = array(
            'atype' => $param1
        );
		$this->load->view('admissioninfo', $page_data);	
		$this->load->view('footer');
	}
	
	public function ainfodetails($param1 = '')
	{
		$this->load->view('header');
		$this->load->view('logo_name');
		$this->load->view('main_menu');
		$page_data = array(
            'id' => $param1
        );
		$this->load->view('ainfodetails', $page_data);
		$this->load->view('left_president');
		$this->load->view('left_head_teacher');
		$this->load->view('left_important_links');
		$this->load->view('left_facebook');
		$this->load->view('body_mid_end');		
		$this->load->view('footer');
	}
	public function examinfo($param1 = '') 
	{
		$this->load->view('header');
		$this->load->view('logo_name');
		$this->load->view('main_menu');
		$page_data = array(
            'atype' => $param1
        );
		$this->load->view('examinfo', $page_data);	
		$this->load->view('footer');
	}
	
	public function einfodetails($param1 = '')
	{
		$this->load->view('header');
		$this->load->view('logo_name');
		$this->load->view('main_menu');
		$page_data = array(
            'id' => $param1
        );
		$this->load->view('einfodetails', $page_data);
		$this->load->view('left_president');
		$this->load->view('left_head_teacher');
		$this->load->view('left_important_links');
		$this->load->view('left_facebook');
		$this->load->view('body_mid_end');		
		$this->load->view('footer');
	}
	public function previousteacher() {
	
		$this->load->view('header3');
		$this->load->view('script');
		$this->load->view('logo_name');
		$this->load->view('main_menu');
		$this->load->view('left_principal_message');
		$this->load->view('banner');
		$this->load->view('body_left_start');
		$this->load->view('right_notice_board');
		$this->load->view('left_important_link');
		$this->load->view('body_left_end');
		$this->load->view('previous_head_teacher');
		$this->load->view('body_end');
		$this->load->view('footer');
	}
	
	
	public function postsummery() {
	
		$this->load->view('header3');
		$this->load->view('script');
		$this->load->view('logo_name');
		$this->load->view('main_menu');
		$this->load->view('left_principal_message');
		$this->load->view('banner');
		$this->load->view('body_left_start');
		$this->load->view('right_notice_board');
		$this->load->view('left_important_link');
		$this->load->view('body_left_end');
		$this->load->view('teacher_post_summery');
		$this->load->view('body_end');
		$this->load->view('footer');
	}
	public function boardresult() {
	
		$this->load->view('header3');
		$this->load->view('script');
		$this->load->view('logo_name');
		$this->load->view('main_menu');
		$this->load->view('left_principal_message');
		$this->load->view('banner');
		$this->load->view('body_left_start');
		$this->load->view('right_notice_board');
		$this->load->view('left_important_link');
		$this->load->view('body_left_end');
		$this->load->view('board_result');
		$this->load->view('body_end');
		$this->load->view('footer');
	}
	
	public function gallery($param1 = '') {
	
		$this->load->view('header2');
		$this->load->view('script');
		$this->load->view('logo_name');
		$this->load->view('main_menu');
		$this->load->view('left_principal_message');
		$this->load->view('banner');
		$this->load->view('body_left_start');
		$this->load->view('right_notice_board');
		$this->load->view('left_important_link');
		$this->load->view('body_left_end');
		$page_data = array(
            'album_id' => $param1
        );
        $this->load->view('album_details', $page_data);
		$this->load->view('body_end');
		$this->load->view('footer');
	}
	
	
	public function academic() {
	
		$this->load->view('header3');
		$this->load->view('script');
		$this->load->view('logo_name');
		$this->load->view('main_menu');
		$this->load->view('left_principal_message');
		$this->load->view('banner');
		$this->load->view('body_left_start');
		$this->load->view('right_notice_board');
		$this->load->view('left_important_link');
		$this->load->view('body_left_end');
		$this->load->view('academic_calender');
		$this->load->view('body_end');
		$this->load->view('footer');
	}
	
	public function routines() {
	
		$this->load->view('header3');
		$this->load->view('script');
		$this->load->view('logo_name');
		$this->load->view('main_menu');
		$this->load->view('left_principal_message');
		$this->load->view('banner');
		$this->load->view('body_left_start');
		$this->load->view('right_notice_board');
		$this->load->view('left_important_link');
		$this->load->view('body_left_end');
		$this->load->view('class_routine');
		$this->load->view('body_end');
		$this->load->view('footer');
	}

}
